[Libguestfs] [PATCH 2/4] Split off GObject tests that require an appliance

Hilko Bengen bengen at hilluzination.de
Wed May 23 23:21:04 UTC 2012


---
 gobject/Makefile.am    |    5 ++++-
 gobject/run-live-tests |   26 ++++++++++++++++++++++++++
 gobject/run-tests      |    1 -
 3 files changed, 30 insertions(+), 2 deletions(-)
 create mode 100755 gobject/run-live-tests

diff --git a/gobject/Makefile.am b/gobject/Makefile.am
index f75bcf6..5211fe4 100644
--- a/gobject/Makefile.am
+++ b/gobject/Makefile.am
@@ -85,10 +85,13 @@ typelibdir = $(libdir)/girepository-1.0
 typelib_DATA = $(INTROSPECTION_GIRS:.gir=.typelib)
 
 TESTS = run-tests
+if ENABLE_APPLIANCE
+TESTS += run-live-tests
+endif ENABLE_APPLIANCE
 TESTS_ENVIRONMENT = GJS=$(GJS)
 
 $(TESTS): $(typelib_DATA)
 
 CLEANFILES += $(gir_DATA) $(typelib_DATA)
 
-endif
+endif HAVE_INTROSPECTION
diff --git a/gobject/run-live-tests b/gobject/run-live-tests
new file mode 100755
index 0000000..11e8f7b
--- /dev/null
+++ b/gobject/run-live-tests
@@ -0,0 +1,26 @@
+#!/bin/sh -
+# libguestfs GObject bindings
+# Copyright (C) 2012 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+if [ -z "$GJS" ]; then
+  echo "GObject bind tests skipped: gjs is missing"
+  exit 0
+fi
+
+../run $GJS $srcdir/tests-misc.js 2>/dev/null
diff --git a/gobject/run-tests b/gobject/run-tests
index d2ce0a6..55c489c 100755
--- a/gobject/run-tests
+++ b/gobject/run-tests
@@ -26,4 +26,3 @@ fi
 ../run $GJS $srcdir/bindtests.js > bindtests.tmp
 diff -u ${srcdir}/../bindtests bindtests.tmp
 ../run $GJS $srcdir/bindtests-manual.js 2>/dev/null
-../run $GJS $srcdir/tests-misc.js 2>/dev/null
-- 
1.7.10




More information about the Libguestfs mailing list